[![NPM Version][npm-image]][npm-url]
[![Test Coverage][coveralls-image]][coveralls-url]
[![Travis Build][travis-image]][travis-url]
[![SauceLab Build][saucelab-image]][saucelab-url]
[![Gitter][gitter-image]][gitter-url]

About
=====

qooxdoo is a universal JavaScript framework that enables you to create 
applications for a wide range of platforms. With its object-oriented 
programming model you build rich, interactive applications (RIAs), 
native-like apps for mobile devices, light-weight traditional web 
applications or even applications to run outside the browser.

You leverage its integrated tool chain to develop and deploy 
applications of any scale, while taking advantage of modern web 
technologies like HTML5 and CSS3, its comprehensive feature set and a 
state-of-the-art GUI toolkit. qooxdoo is open source under liberal 
licenses, led by the world's largest web host 1&1, with a vibrant 
community.

For more information please see http://qooxdoo.org .


License
=======

qooxdoo may be used under the terms of the MIT License.

For more information please see http://qooxdoo.org/license .


Quick start
===========

It is easy to get started with qooxdoo. For detailed information please
see http://manual.qooxdoo.org/6.0.0-beta-20190625-1405/pages/getting_started.html .


API Reference
==============

You might also want to open the API viewer in a separate browser window,
which offers the qooxdoo framework API in a convenient way (See the
top-level 'index.html' file next to this readme).


Contributing
=============

There are many ways you can contribute to qooxdoo, ranging from providing
feedback, making translations, providing a custom library to full-blown patches
to the code. Please check our web site for details. Mind that for every patch to
the repository we require an open bug in our issue tracker, and that commits to
the repository will fall under qooxdoo's license terms.

For more information see http://qooxdoo.org/community/contribution .


Learn more
===========

* About qooxdoo
  http://qooxdoo.org

* Online Demos
  http://demo.qooxdoo.org

* Release Notes
  https://github.com/qooxdoo/qooxdoo/releases

* User Manual
  http://manual.qooxdoo.org/6.0.0-beta-20190625-1405

* API Documentation
  http://api.qooxdoo.org/6.0.0-beta-20190625-1405



[npm-image]: https://img.shields.io/npm/v/qooxdoo-sdk.svg
[npm-url]: https://npmjs.org/package/qooxdoo-sdk
[travis-image]: https://travis-ci.org/qooxdoo/qooxdoo.svg?branch=master
[travis-url]: https://travis-ci.org/qooxdoo/qooxdoo
[coveralls-image]: https://coveralls.io/repos/github/qooxdoo/qooxdoo/badge.svg?branch=master 
[coveralls-url]: https://coveralls.io/github/qooxdoo/qooxdoo?branch=master
[saucelab-image]: https://saucelabs.com/buildstatus/qx-core
[saucelab-url]: https://saucelabs.com/open_sauce/user/qx-core
[gitter-image]: https://badges.gitter.im/qooxdoo/qooxdoo.svg
[gitter-url]: https://gitter.im/qooxdoo/qooxdoo?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge
